﻿@using System.Diagnostics
@using ArmatureProject.Models
@model List<WholeOrderModel>

@{
    ViewBag.Title = "Order History";
}

@if (Model.Count > 0)
{
    <h2>Order History</h2>
foreach (var itemModel in Model)
 {
     <hr/>
     <h3 style="color: darkred">@itemModel.EditDate</h3>
     <hr/>
     <div class="container">
         <div class="col-xs-4">
             @Html.DisplayName("შექმინის თარიღი:  " + itemModel.Order.CreateDate.Date.ToString("yyyy-MM-dd"))
         </div>
         <div class="col-xs-4">
             @Html.DisplayName("შეკვეთის ნომერი:  " + itemModel.Order.Id)
         </div>
         <div class="col-xs-4">
             @Html.DisplayName("შეკვეთის გამგზავნი:  " + (string.IsNullOrEmpty(itemModel.Order.UserName) ? "გაუგზავნელი" : itemModel.Order.UserName))
         </div>
     </div>
     <hr/>
     <div class="container">
         <div class="col-xs-6">
             <H3>მძღოლი</H3>
             @foreach(var item in itemModel.Order.DriverList) { 
                 <dl class="dl-horizontal">
                    @*<dt>
                        @Html.DisplayName("მონაცემები")
                    </dt>*@

                    <dd>
                        @Html.DisplayFor(model => item.FirstName)  @Html.DisplayFor(model => item.LastName) (@Html.DisplayFor(model => item.PersonalN))
                    </dd>

                    @*<dt>
                        @Html.DisplayName("გვარი")
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => item.LastName)
                    </dd>

                    <dt>
                        @Html.DisplayName("პირადი ნომერი")
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => item.PersonalN)
                    </dd>

                    <dt>
                        @Html.DisplayName("ტრანსპორტი")
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => item.Transport)
                    </dd>*@


                </dl>
            }
         </div>
         <div class="col-xs-6">

             <H3>კომპანია</H3>
             <dl class="dl-horizontal">
                 <dt>
                     @Html.DisplayName("ტიპი")
                 </dt>

                 <dd>
                     @Html.DisplayName(itemModel.Company.Type == 0 ? "იურიდიული პირი" : "ფიზიკური პირი")
                 </dd>

                 <dt>
                     @Html.DisplayName("მისამართი")
                 </dt>

                 <dd>
                     @Html.DisplayFor(model => itemModel.CompanyAddress)
                    @* @Html.DisplayFor(model => itemModel.Order.CompanyAddress)*@
                 </dd>

                 <dt>
                     @Html.DisplayName("სახელი")
                 </dt>

                 <dd>
                     @Html.DisplayFor(model => itemModel.Company.Title)
                 </dd>

                 <dt>
                     @Html.DisplayName(itemModel.Company.Type == 0 ? "საიდენთიფიკაციო კოდი" : "პირადი ნომერი")
                 </dt>

                 <dd>
                     @Html.DisplayFor(model => itemModel.Company.IdNumber)
                 </dd>

             </dl>
         </div>
         <hr/>
     </div>
     <div>
         <H3>არმატურის დიამეტრები</H3>
         <table class="table">
             <tr>
                 <th>
                     @Html.DisplayName("გადახდილი/გადაუხდელი")
                 </th>
                 <th>
                     @Html.DisplayName("მყიდველი")
                 </th>
                 <th>
                     @Html.DisplayName("ხამუტები")
                 </th>
                 <th>
                     @Html.DisplayName("თეორიული")
                 </th>
                 <th>
                     @Html.DisplayName("კომენტარი")
                 </th>
             </tr>
             <tr>
                 <td>
                     @(itemModel.Order.IsPaid == null ? "გადაუხდელია" : "გადახდილია")
                 </td>
                 <td>
                     @(itemModel.Order.IsBuyer == null ? "არ არის მყიდეველი" : "მყიდველია")
                 </td>
                 <td>
                     @(itemModel.Order.Khamut == null ? "არ არის ხამუტი" : "ხამუტია")
                 </td>
                 <td>
                     @(itemModel.Order.Theoretical == null ? "არ არის თეორიული" : "თეორიულია")
                 </td>
                 <td>
                     @Html.DisplayFor(modelItem => itemModel.Order.Comment)
                 </td>
             </tr>
         </table>
     </div>





     <hr/>
     <div>

         <div class="col-lg-12">
             <div class="col-xs-4">
                 <H3>არმატურის დიამეტრები</H3>
             </div>
             <div class="col-xs-8" style="text-align: end">
                 <Br/>
                 არმატურების რაოდენობის ჯამი - @itemModel.Armatures.Sum(x => x.Amount).ToString()

             </div>
         </div>


         <table class="table">
             <tr>
                 <th>
                     @Html.DisplayName("არმატურის პროფილი")
                 </th>
                 <th>
                     @Html.DisplayName("რაოდენობა")
                 </th>
                 <th>
                     @Html.DisplayName("არმატურის ზომა")
                 </th>
                 <th>
                     @Html.DisplayName("კომენტარი")
                 </th>
                 <th>
                     @Html.DisplayName("გლინულა")
                 </th>
             </tr>

             @foreach (var item in itemModel.Armatures)
             {
                 <tr>
                     <td>
                         @Html.DisplayFor(modelItem => item.Profile)
                     </td>
                     <td>
                         @Html.DisplayFor(modelItem => item.Amount)
                     </td>
                     <td>
                         @Html.DisplayFor(modelItem => item.Length)
                     </td>
                     <td>
                         @Html.DisplayFor(modelItem => item.Comment)
                     </td>
                     <td>
                         @Html.DisplayName(item.Glinula == true ? "დახვეული" : "გასწორებული")
                     </td>
                     @*<td>
                        @if (item.Khamut != null && item.Khamut != false)
                        {
                            @Html.DisplayName("true")
                        }
                        else
                        {
                            @Html.DisplayName("false")
                        }

                    </td>
                    <td>
                        @if (item.Theoretical != null && item.Theoretical != false)
                        {
                            @Html.DisplayName("true")
                        }
                        else
                        {
                            @Html.DisplayName("false")
                        }
                    </td>*@
                 </tr>
             }

         </table>
     </div>
     <hr/>
     <div>
         <H3>ღირებულება</H3>
         <table class="table">
             <tr>
                 <th>
                     @Html.DisplayName("არმატურის სიგრძე")
                 </th>
                 <th>
                     @Html.DisplayName("ფასი")
                 </th>
                 <th>
                     @Html.DisplayName("კომენტარი")
                 </th>
                 <th></th>
             </tr>

             @foreach (var item in itemModel.OrderDetails)
             {
                 <tr>
                     <td>
                         @if (item.LengthId == 1)
                         {
                             @Html.DisplayName("12 მეტრი (სტანდარტული)")
                         }
                         else if (item.LengthId == 2)
                         {
                             @Html.DisplayName("3-დან 11 მეტრამდე")
                         }
                         else
                         {
                             @Html.DisplayName("1,5-დან 3 მეტრამდე")
                         }

                     </td>
                     <td>
                         @Html.DisplayFor(modelItem => item.Price)
                     </td>
                     <td>
                         @Html.DisplayFor(modelItem => item.Comment)
                     </td>
                 </tr>
             }

         </table>
     </div>
   
    }
}
else
{
    <h2>Order History</h2>
    <h3>არსებულ ორდერს არ ქონია ცვლილება</h3>
}
<p>
    @Html.ActionLink("Edit", "Edit", new { id = ViewBag.OrderId }) |
    @Html.ActionLink("Back to List", "Index")
</p>
